import { Result } from '../../Patterns/Result/Result';
import { IValidation } from '../../Patterns/Validator/IValidation';
import { Model } from '../Model';
export declare class OptionValidation<T> implements IValidation<Model<T>> {
    private member;
    private customErrorMessage?;
    constructor(member: string, customErrorMessage?: string | undefined);
    Validate(object: Model<T>): Result<null>;
}
