import { BaseObservable } from './BaseObservable';
import { ISyncObservable } from './ISyncObservable';
export declare class Observable<T> extends BaseObservable<T> implements ISyncObservable<T> {
    Subscribe(func: (content?: T) => void, useCurrentIssue?: boolean): string;
    Order(func: (content?: T) => void, useCurrentIssue?: boolean): void;
    Publish(content?: T): void;
}
