"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DomEvents = exports.EventTypes = void 0;
var EventTypes;
(function (EventTypes) {
    EventTypes["Abort"] = "abort";
    EventTypes["Afterprint"] = "afterprint";
    EventTypes["Animationend"] = "animationend";
    EventTypes["Animationiteration"] = "animationiteration";
    EventTypes["Animationstart"] = "animationstart";
    EventTypes["Beforeprint"] = "beforeprint";
    EventTypes["Beforeunload"] = "beforeunload";
    EventTypes["Blur"] = "blur";
    EventTypes["Canplay"] = "canplay";
    EventTypes["Canplaythrough"] = "canplaythrough";
    EventTypes["Change"] = "change";
    EventTypes["Click"] = "click";
    EventTypes["Contextmenu"] = "contextmenu";
    EventTypes["Copy"] = "copy";
    EventTypes["Cut"] = "cut";
    EventTypes["Dblclick"] = "dblclick";
    EventTypes["Drag"] = "drag";
    EventTypes["Dragend"] = "dragend";
    EventTypes["Dragenter"] = "dragenter";
    EventTypes["Dragleave"] = "dragleave";
    EventTypes["Dragover"] = "dragover";
    EventTypes["Dragstart"] = "dragstart";
    EventTypes["Drop"] = "drop";
    EventTypes["Durationchange"] = "durationchange";
    EventTypes["Ended"] = "ended";
    EventTypes["Error"] = "error";
    EventTypes["Focus"] = "focus";
    EventTypes["Focusin"] = "focusin";
    EventTypes["Focusout"] = "focusout";
    EventTypes["Fullscreenchange"] = "fullscreenchange";
    EventTypes["Fullscreenerror"] = "fullscreenerror";
    EventTypes["Hashchange"] = "hashchange";
    EventTypes["Input"] = "input";
    EventTypes["Invalid"] = "invalid";
    EventTypes["Keydown"] = "keydown";
    EventTypes["Keypress"] = "keypress";
    EventTypes["Keyup"] = "keyup";
    EventTypes["Load"] = "load";
    EventTypes["Loadeddata"] = "loadeddata";
    EventTypes["Loadedmetadata"] = "loadedmetadata";
    EventTypes["Loadstart"] = "loadstart";
    EventTypes["Message"] = "message";
    EventTypes["Mousedown"] = "mousedown";
    EventTypes["Mouseenter"] = "mouseenter";
    EventTypes["Mouseleave"] = "mouseleave";
    EventTypes["Mousemove"] = "mousemove";
    EventTypes["Mouseover"] = "mouseover";
    EventTypes["Mouseout"] = "mouseout";
    EventTypes["Mouseup"] = "mouseup";
    EventTypes["Mousewheel"] = "mousewheel";
    EventTypes["Offline"] = "offline";
    EventTypes["Online"] = "online";
    EventTypes["Open"] = "open";
    EventTypes["Pagehide"] = "pagehide";
    EventTypes["Pageshow"] = "pageshow";
    EventTypes["Paste"] = "paste";
    EventTypes["Pause"] = "pause";
    EventTypes["Play"] = "play";
    EventTypes["Playing"] = "playing";
    EventTypes["Popstate"] = "popstate";
    EventTypes["Progress"] = "progress";
    EventTypes["Ratechange"] = "ratechange";
    EventTypes["Resize"] = "resize";
    EventTypes["Reset"] = "reset";
    EventTypes["Scroll"] = "scroll";
    EventTypes["Search"] = "search";
    EventTypes["Seeked"] = "seeked";
    EventTypes["Seeking"] = "seeking";
    EventTypes["Select"] = "select";
    EventTypes["Show"] = "show";
    EventTypes["Stalled"] = "stalled";
    EventTypes["Storage"] = "storage";
    EventTypes["Submit"] = "submit";
    EventTypes["Suspend"] = "suspend";
    EventTypes["Timeupdate"] = "timeupdate";
    EventTypes["Toggle"] = "toggle";
    EventTypes["Touchcancel"] = "touchcancel";
    EventTypes["Touchend"] = "touchend";
    EventTypes["Touchmove"] = "touchmove";
    EventTypes["Touchstart"] = "touchstart";
    EventTypes["Transitionend"] = "transitionend";
    EventTypes["Unload"] = "unload";
    EventTypes["Volumechange"] = "volumechange";
    EventTypes["Waiting"] = "waiting";
    EventTypes["Wheel"] = "wheel";
})(EventTypes || (exports.EventTypes = EventTypes = {}));
exports.DomEvents = Object.values(EventTypes).map(function (eventType) {
    return "on".concat(eventType);
});
//# sourceMappingURL=EventTypes.js.map