type OptionalDocument = Document | null;
export type Jsx = {
    attributes?: Record<string, string | number | boolean | undefined | null | ((event: Event | null) => void)> | null;
    children?: (Jsx | string)[];
    nodeName: string;
};
export declare const Fragment = "fragment";
export declare function ParseJsx(nodeName: string | ((attributes: Jsx['attributes'], children: Jsx['children']) => Jsx), attributes?: Jsx['attributes'], ...children: (Jsx | string)[]): Jsx;
export declare class JsxRenderer {
    private constructor();
    static RenderJsx(jsx: Jsx, documentRef?: OptionalDocument): string;
    private static addElementEventListener;
    private static transformJsxToHtml;
}
export {};
