"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Validator = void 0;
var Result_1 = require("../Result/Result");
var Validator = /** @class */ (function () {
    function Validator(validations) {
        if (validations === void 0) { validations = []; }
        this.Validations = validations;
    }
    Validator.prototype.Validate = function (object) {
        var result = new Result_1.Result(null);
        this.Validations.forEach(function (validation) {
            result.ErrorMessages = result.ErrorMessages.concat(validation.Validate(object).ErrorMessages);
        });
        return result;
    };
    return Validator;
}());
exports.Validator = Validator;
//# sourceMappingURL=Validator.js.map