export declare class FormUrl {
    private constructor();
    /**
     * Returns the form url encoded string version of the given json object.
     * Intended for json consisting of string values only.
     * @param json
     */
    static EncodeJson(json: any): string;
    /**
     * Returns the json version of the form url encoded string given.
     * @param formData
     */
    static DecodeToJson<T>(formData: string): T;
    private static SetKeyValuePair;
}
